#!/bin/sh
############################################################################################################################# 
# Forum Sentry Script to stop and un-install the service               
# Author : Patricia Thompson
#             
############################################################################################################################# 
#clear

stop() {
  /opt/installers/forumsentry/scripts/stop.sh
}

if (($(ps -ef|grep -v grep| grep forumd | wc -l) > 0))
then
	stop
fi
	

if (( $(ls /root/ForumSystems/ |wc -l) > 0))
then 
    # remove from chkconfig 
	chkconfig --del xmlserver
		
	# Remove File System (Except logs)
	mkdir /tmp/fslogs
	cp -r /root/ForumSystems/installation-logs /tmp/fslogs
	cp -r /root/ForumSystems/xmlserver/logging /tmp/fslogs	
	echo Backed up ForumSentry logs
	
	# Uninstall
	/root/ForumSystems/uninstall/uninstall -i silent

	rm -rfv /root/ForumSystems/*
	echo Forum Sentry installation files removes

	echo re-instate previous installation logs
	cp -r /tmp/fslogs/installation-logs /root/ForumSystems/
	
	echo re-instate previous xmlserver logs
	mkdir /root/ForumSystems/xmlserver
	chmod 775 /root/ForumSystems/xmlserver
	cp -r /tmp/fslogs/logging /root/ForumSystems/xmlserver/
	
	echo Forum Sentry log files reinstated

	rm -rfv /tmp/fslogs
	echo Forum Sentry temp log files removed
	
fi	

echo Forum Sentry Service uninstalled

exit 0


